summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author chinarulezzz <s.alex08@mail.ru>2015-09-19 05:24:11 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-09-19 05:24:11 +0700
commitd216b88a737de64ba0856f72c07e28f6cc5811c7 (patch)
tree677db56a4ad95f37d27ce920b8044c6e588b8873 /system
parent80f7031b22fe0925e688b6222f301700231f5b35 (diff)
downloadslackbuilds-d216b88a737de64ba0856f72c07e28f6cc5811c7.tar.gz
slackbuilds-d216b88a737de64ba0856f72c07e28f6cc5811c7.tar.xz
system/scanmem: Updated for version 0.15.2.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/scanmem/scanmem.SlackBuild66
-rw-r--r--system/scanmem/scanmem.info8
-rw-r--r--system/scanmem/slack-desc2
3 files changed, 45 insertions, 31 deletions
diff --git a/system/scanmem/scanmem.SlackBuild b/system/scanmem/scanmem.SlackBuild
index fa8d6250c7..941c6f9856 100644
--- a/system/scanmem/scanmem.SlackBuild
+++ b/system/scanmem/scanmem.SlackBuild
@@ -1,11 +1,29 @@
#!/bin/sh
-# Slackware build script scanmem
-# written by chinarulezzz s.alex08@mail.ru
-
+# Slackware build script for scanmem
+
+# Copyright 2014 - 2015 chinarulezzz s.alex08@mail.ru
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=scanmem
-VERSION=${VERSION:-0.12}
+VERSION=${VERSION:-0.15.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -42,50 +60,46 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+unzip $CWD/v$VERSION.zip
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./autogen.sh
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
- --sysconfdir=/etc \
- --localstatedir=/var \
--mandir=/usr/man \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--build=$ARCH-slackware-linux
-make OS_CFLAGS="$SLKCFLAGS"
+make
make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+# Remove unused GameConqueror files from usr/share/locale
+find $PKG/usr/share/locale -name GameConqueror.mo -delete
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+# Remove usr/share* empty directories
+find $PKG -depth -empty -exec rmdir {} \;
-# move any generated man pages to their proper location
-#if [ -d $PKG/usr/share/man ]; then
-# mv $PKG/usr/share/man $PKG/usr
-# gzip -9 $PKG/usr/man/man?/*.?
-#fi
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
+| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-# Add docs, and if present, built documentation to the proper location
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a TODO README COPYING NEWS gpl-2.0.txt gpl-3.0.txt \
- $PKG/usr/doc/$PRGNAM-$VERSION
-#if [ -d $PKG/usr/share/doc ]; then
-# mv $PKG/usr/share/doc/scanmem/* $PKG/usr/doc/$PRGNAM-$VERSION/
-# rm -rf $PKG/usr/share/doc
-#fi
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz ;
+ rm $i ;
+done
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING NEWS README TODO gpl-2.0.txt gpl-3.0.txt $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/system/scanmem/scanmem.info b/system/scanmem/scanmem.info
index 9cfeb97f7e..4c9d08a4f9 100644
--- a/system/scanmem/scanmem.info
+++ b/system/scanmem/scanmem.info
@@ -1,8 +1,8 @@
PRGNAM="scanmem"
-VERSION="0.12"
-HOMEPAGE="http://taviso.decsystem.org"
-DOWNLOAD="http://scanmem.googlecode.com/files/scanmem-0.12.tar.gz"
-MD5SUM="2ad341798525c9243b6f909a9fe5aa4d"
+VERSION="0.15.2"
+HOMEPAGE="http://taviso.decsystem.org/scanmem.html"
+DOWNLOAD="https://github.com/scanmem/scanmem/archive/v0.15.2.zip"
+MD5SUM="523d5217b85295cbfb72441090dc0b31"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
diff --git a/system/scanmem/slack-desc b/system/scanmem/slack-desc
index a70b6bf2b9..68af3e862f 100644
--- a/system/scanmem/slack-desc
+++ b/system/scanmem/slack-desc
@@ -14,6 +14,6 @@ scanmem:
scanmem: scanmem requires libreadline to read commands interactively,
scanmem: and /proc must be mounted.
scanmem:
-scanmem: homepage: http://taviso.decsystem.org
+scanmem: homepage: http://taviso.decsystem.org/scanmem.html
scanmem:
scanmem: